# bvslusa

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Install

``` sh
pip install bvslusa
```

## How to use

``` python
import pandas as pd
from bvslusa.validate import remove_restritivos, target_mapping
from bvslusa.evaluate import evaluate_bvs_scores
```

``` python
df = pd.read_csv('../data/AVZA_FB727003.csv', sep=';')
df
```

<div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }
&#10;    .dataframe tbody tr th {
        vertical-align: top;
    }
&#10;    .dataframe thead th {
        text-align: right;
    }
</style>

|       | DOC_NUMBER | SAFRA  | QTD_SCPC | VL_SCPC | QTD_CCF | QTD_PROTESTO | VL_PROTESTO | FLAG_RESTRITIVO | SCRCRDMERPJ3 | SCRCRDMERPJ4 | SCRCRDMERPJ5 | SCRCRDATACAD | SCRCRDMERMEI | PERF_MERC_60D6M_EVER |
|-------|------------|--------|----------|---------|---------|--------------|-------------|-----------------|--------------|--------------|--------------|--------------|--------------|----------------------|
| 0     | 891026     | 202203 | 0        | 0       | 1       | 0            | 0           | 1               | 267          | 256          | 58           | 185          | 5            | MAU                  |
| 1     | 982383     | 202203 | 0        | 0       | 0       | 0            | 0           | 0               | 283          | 256          | 460          | 619          | 30           | BOM                  |
| 2     | 176129     | 202203 | 0        | 0       | 0       | 0            | 0           | 0               | 283          | 256          | 460          | 712          | 34           | BOM                  |
| 3     | 566081     | 202203 | 0        | 0       | 0       | 0            | 0           | 0               | 283          | 256          | 460          | 781          | 30           | BOM                  |
| 4     | 760613     | 202203 | 0        | 0       | 0       | 0            | 0           | 0               | 283          | 256          | 460          | 712          | 34           | BOM                  |
| ...   | ...        | ...    | ...      | ...     | ...     | ...          | ...         | ...             | ...          | ...          | ...          | ...          | ...          | ...                  |
| 35734 | 776859     | 202203 | 0        | 0       | 0       | 4            | 911         | 1               | 484          | 767          | 513          | 969          | 902          | MAU                  |
| 35735 | 94325      | 202203 | 0        | 0       | 0       | 4            | 911         | 1               | 484          | 767          | 513          | 969          | 902          | MAU                  |
| 35736 | 315930     | 202203 | 0        | 0       | 0       | 4            | 911         | 1               | 484          | 767          | 513          | 969          | 902          | MAU                  |
| 35737 | 668323     | 202203 | 0        | 0       | 0       | 4            | 911         | 1               | 484          | 767          | 513          | 969          | 902          | MAU                  |
| 35738 | 140483     | 202203 | 0        | 0       | 0       | 2            | 5285        | 1               | 487          | 767          | 531          | 956          | 131          | BOM                  |

<p>35739 rows × 14 columns</p>
</div>

``` python
df.pipe(remove_restritivos) \
    .pipe(target_mapping) \
    .pipe(evaluate_bvs_scores)
```

<div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }
&#10;    .dataframe tbody tr th {
        vertical-align: top;
    }
&#10;    .dataframe thead th {
        text-align: right;
    }
</style>

|     | score        | auc      | ks    |
|-----|--------------|----------|-------|
| 0   | SCRCRDMERPJ5 | 0.694770 | 30.86 |
| 1   | SCRCRDATACAD | 0.666147 | 28.28 |
| 2   | SCRCRDMERMEI | 0.610453 | 19.22 |
| 3   | SCRCRDMERPJ3 | 0.598126 | 16.93 |
| 4   | SCRCRDMERPJ4 | 0.574876 | 13.56 |

</div>
